# Uses of Class
org.eclipse.jdt.core.search.MethodNameMatch

Packages that use MethodNameMatch
Package
Description
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.

## Uses of MethodNameMatch in org.eclipse.jdt.core.search

Methods in org.eclipse.jdt.core.search that return MethodNameMatch
Modifier and Type
Method
Description
`static MethodNameMatch`
SearchEngine.`createMethodNameMatch(IMethod method, int modifiers)`
Create a method name match on a given method with specific modifiers.
Methods in org.eclipse.jdt.core.search with parameters of type MethodNameMatch
Modifier and Type
Method
Description
`abstract void`
MethodNameMatchRequestor.`acceptMethodNameMatch(MethodNameMatch match)`
Accepts a method name match (`MethodNameMatch`) which contains a method information as package name, enclosing types names, method name, modifiers, etc.